<?php
require_once '../connection.php';
header('Content-Type: application/json');
$name = trim(strip_tags($_POST['name']));
$price = (double)$_POST['price'];
$count = (int)$_POST['count'];
$mark = (double)$_POST['mark'];
$description = htmlentities($_POST['description'], ENT_QUOTES);
$id_catalog = (int)$_POST['id_catalog'];


$sql = "INSERT INTO products VALUES (NULL, :name, :price, :count, :mark, :description, :id_catalog)";

if($stmt = $pdo->prepare($sql)){

    $stmt->bindParam(':name', $name, PDO::PARAM_STR);
    $stmt->bindParam(':price', $price);
    $stmt->bindParam(':mark', $mark);
    $stmt->bindParam(':description', $description, PDO::PARAM_STR);
    $stmt->bindParam(':count', $count, PDO::PARAM_INT);
    $stmt->bindParam(':id_catalog', $id_catalog, PDO::PARAM_INT);

    $stmt->execute();
    $affected_rows = $stmt->rowCount();

    if($affected_rows){
        echo json_encode(array(
            'code' => 200,
            'message' => 'Запись была добавлена в БД'
        ));
    } else {
        echo json_encode(array(
            'code' => 301,
            'message' => 'Ничего не было добавлено в БД'
        ));
    }

} else {
    echo json_encode(array(
        'code' => 303,
        'message' => 'Возникла неизвестна при работе с БД'
    ));
}